Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 241786 - kde-base/kicker-3.5.10 won't display net-misc/knetload-3.0_alpha2
Summary: kde-base/kicker-3.5.10 won't display net-misc/knetload-3.0_alpha2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High trivial (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10
  Show dependency tree
 
Reported: 2008-10-13 15:19 UTC by Martin von Gagern
Modified: 2009-05-27 23:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2008-10-13 15:19:48 UTC
Since updating KDE from 2.5.9 to 3.5.10, the knetload applet no longer showed in my panel. The "Add Applet" dialog didn't list it either. The following command worked around this issue:

ln /usr/share/apps/kicker/applets/knetloadapplet.desktop \
   /usr/kde/3.5/share/apps/kicker/applets/

So it seems that the path where kicker searches for its applets doesn't agree with the one knetload installs into. Don't know which part should be changed.
Comment 1 Martin von Gagern 2008-10-15 19:22:24 UTC
While the fix described above used to work two days ago, it now fails with an error message that the applet couldn't be started. The only kde packages updated in between are kdebase-startkde from 3.5.10-r3 to -r4, kdelibs-4.1.2-r1 which should be unrelated as I'm running 3.5, and kpdf. I also added the kdeprefix USE flag to my make.conf, but that shouldn't influence runtime behaviour directly, I think. Looking at the difference, this seems to be due to kdebase-startkde-3.5.10-r4.

Is this issue related to bug 239356 or bug 237718?
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-10-23 09:13:23 UTC
Please read the kde4-guide[1]. Switching from -kdeprefix to kdeprefix should only be done by removing KDE4 and reinstalling it. Did you build kdebase-startkde with kdeprefix? Look at the contents of /var/db/pkg/kde-base/kdebase-startkde-3.5.10-r4/USE

[1] - http://www.gentoo.org/proj/en/desktop/kde/kde4-guide.xml
Comment 3 Jan Kundrát (RETIRED) gentoo-dev 2008-11-07 16:02:37 UTC
Please reopen with all the information requested in comment #2. Thanks.
Comment 4 Martin von Gagern 2008-11-07 16:06:20 UTC
(In reply to comment #2)
> Please read the kde4-guide[1]. Switching from -kdeprefix to kdeprefix should
> only be done by removing KDE4 and reinstalling it.

I'm using KDE 3.5, as I wrote in comment #1, and I don't have a KDE4 to uninstall. By now, even kdelibs:4.1 is unmerged on my system.

> Did you build
> kdebase-startkde with kdeprefix? Look at the contents of
> /var/db/pkg/kde-base/kdebase-startkde-3.5.10-r4/USE

No, kdebase-startkde-3.5.10-r4 doesn't have kdeprefix in its IUSE. That file only contains "elibc_glibc kernel_linux userland_GNU x86".

(In reply to comment #3)
> Please reopen with all the information requested in comment #2. Thanks.

Sorry for the delay.
Comment 5 Tobias Roeser 2008-11-11 21:50:32 UTC
Same problem for app-laptop/kthinkbat-0.2.9 with installed kde-base/kdelibs-3.5.10-r2 and kde-base/kdebase-startkde-3.5.10-r4.
Comment 6 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-27 23:25:26 UTC
fixed with new kde3 eclasses that have prefix=/usr/kde/3.5. Re-emerge the kde misc apps